Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit / JGit » Trouble with installing EGit Eclipse Plugin(Trouble with installing EGit Eclipse Plugin)
Trouble with installing EGit Eclipse Plugin [message #1412638] Tue, 26 August 2014 17:14 Go to next message
Daniel Rozen is currently offline Daniel RozenFriend
Messages: 1
Registered: August 2014
Junior Member
When I tried to install the EGit plugin in eclipse I received the following error:

"Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse Git Team Provider 3.4.1.201406201815-r (org.eclipse.egit.feature.group 3.4.1.201406201815-r)
Missing requirement: Git Team Provider UI 3.4.1.201406201815-r (org.eclipse.egit.ui 3.4.1.201406201815-r) requires 'bundle org.eclipse.e4.ui.css.swt.theme 0.0.0' but it could not be found
Cannot satisfy dependency:
From: Eclipse Git Team Provider 3.4.1.201406201815-r (org.eclipse.egit.feature.group 3.4.1.201406201815-r)
To: org.eclipse.egit.ui [3.4.1.201406201815-r]"

I subsequently deselected these components and installed Egit without them, but was unable to see the Git Perspective in Eclipse


Please help.


Thank you very much.
Re: Trouble with installing EGit Eclipse Plugin [message #1420066 is a reply to message #1412638] Tue, 09 September 2014 13:07 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1072
Registered: July 2009
Senior Member
Your Eclipse platform is too old for this version of EGit. Have a look at [1] and check which EGit version can be installed
in your Eclipse installation. Alternatively upgrade your Eclipse installation to a newer one.
Re: Trouble with installing EGit Eclipse Plugin [message #1420067 is a reply to message #1420066] Tue, 09 September 2014 13:07 Go to previous message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1072
Registered: July 2009
Senior Member
here the link

[1] https://wiki.eclipse.org/EGit/FAQ#What_versions_of_Eclipse_does_EGit_target.3F
Previous Topic:SymlinksNotSupportedException when resetting to HEAD
Next Topic:"Looking for uncommitted changes" popup freezed
Goto Forum:
  


Current Time: Sat Aug 24 11:02:11 GMT 2019

Powered by FUDForum. Page generated in 0.02227 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top